#1
SELECT TxtRowNum, Mid(MTIMP.FieldValue, 4, 20)
FROM mt, mtimp 
WHERE MT.FieldName=MTIMP.FieldName 
  and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and MTIMP.SubFieldName is null))
  and MT.FieldName="32B"
  and Mid(MTIMP.FieldValue, 4, 20) = "0,00"
order by 1

#2
SELECT  sum(cdbl(Mid(MTIMP.FieldValue, 4, 20)))
FROM mt, mtimp 
WHERE MT.FieldName=MTIMP.FieldName 
  and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and (MTIMP.SubFieldName is null or trim(MTIMP.subfieldname)="")))
  and MT.FieldName="32B"
order by 1

#3
SELECT TxtRowNum, Mid(MTIMP.FieldValue, 4, 20)
FROM mt, mtimp
WHERE MT.FieldName=MTIMP.FieldName
  and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and (MTIMP.SubFieldName is null or trim(MTIMP.subfieldname)="")))
  and MT.FieldName="32B"
order by 1

#4
select FieldValue, TxtRowNum from mtimp where FieldName="70" and (SubFieldName="OPV" or SubFieldName="FM" or SubFieldName="NM" or SubFieldName="FT" or SubFieldName="DT")

#5
SELECT * 
FROM mt, mtimp 
WHERE MT.FieldName=MTIMP.FieldName 
    and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and MTIMP.SubFieldName is null))
    and mt.LengthEQ=false and mtimp.FieldLength > mt.FieldLength

#6
SELECT min(mt.FileType) 
FROM mt, mtimp 
WHERE MT.FieldName=MTIMP.FieldName 
    and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and MTIMP.SubFieldName is null))
    and mt.FileType <> 15

#7
select * from mtimp where SubFieldName = "PERIOD"

#8
select FieldValue, TxtRowNum from mtimp where FieldName="32A"

#9
select FieldValue, TxtRowNum from mtimp where FieldName="32B"

#10
select mid(FieldValue, 10, 20), TxtRowNum from mtimp where FieldName="32A"

#11
select
  o.name as oname,
  o.rnn as ornn,
  o.bin,
  Left(e1.fm1,1)&LCase(Mid(e1.fm1,2,100))&" "&left(e1.nm1,1)&"."&left(e1.ft1,1)&"." as ochief,
  iif(isnull(e2.fm1)," ",Left(e2.fm1,1)&LCase(Mid(e2.fm1,2,100))&" "&left(e2.nm1,1)&"."&left(e2.ft1,1)&".") as oMainBK,
  o.ChiefTxt as oChiefTxt,
  o.MainBKTxt as oMainBKTxt,
  o.Block1 as oBlock1,
  o.Block2 as oBlock2,
  iif(o.irs=0,2,o.irs) as oirs,
  o.seco as oseco,
  o.unicode,
  o.unicode_hb,
  o.comiscard,
  o.comislits,
  o.BudgetFl,
  o.BudgetKind,
  o.CodeGU,
  a.code as acode,
  b.bik as bbik,
  b.name as bname,
  ben.name as benname,
  ben.rnn as benrnn,
  ben.bin as benbin,
  iif(ben.irs=0,2,ben.irs) as benirs, 
  iif(p.doctype=5,4, iif(p.doctype=6,4, ben.seco)) as benseco,
  aben.code as bencode,
  bben.name as bbenname,
  bben.bik as bbenbik,
  bben.ComisAcc,
  iif(p.doctype=1,o.comiscard,iif(p.doctype=2,o.comislits,0)) as ComisPer,
  iif(p.doctype=1,o.comiscard,iif(p.doctype=2,o.comislits,0))*p.docsum/100 as ComisSum,
  p.acc,
  p.ben,
  p.benacc,
  p.docnum,
  p.docdate,
  p.docsum,
  p.doctype,
  p.cur,
  c.name as curname,
  p.knp,
  p.send,
  p.prt,
  p.vo,
  p.opv,
  p.period,
  p.GCVP,
  p.dscr,
  ".   " as dscr2
from ((((((((plat p
  inner join org o on p.org=o.id)
  inner join acc a on p.acc=a.id)
  inner join org b on a.bank=b.id)
  inner join org ben on p.ben=ben.id)
  inner join acc aben on p.benacc=aben.id)
  inner join org bben on aben.bank=bben.id)
  inner join emp e1 on o.chief=e1.id)
  left join emp e2 on o.MainBK=e2.id)
  inner join cur c on p.cur=c.code
where (p.id=p_platid or p_platid=-1)


#12
select
  o.name as oname,
  o.rnn as ornn,
  o.bin as obin,
  Left(e1.fm1,1)&LCase(Mid(e1.fm1,2,100))&" "&left(e1.nm1,1)&"."&left(e1.ft1,1)&"." as ochief,
  iif(o.MainBK=0," ",(select Left(fm1,1)&LCase(Mid(fm1,2,100))&" "&left(nm1,1)&"."&left(ft1,1)&"." from emp where id=o.MainBK)) as oMainBK,
  o.ChiefTxt as oChiefTxt,
  o.MainBKTxt as oMainBKTxt,
  o.Block1 as oBlock1,
  o.Block2 as oBlock2,
  iif(o.irs=0,2,o.irs) as oirs,
  o.seco as oseco,
  o.unicode,
  o.comiscard,
  o.comislits,
  o.BudgetFl,
  o.CodeGU,
  a.code as acode,
  b.bik as bbik,
  b.name as bname,
  ben.name as benname,
  ben.rnn as benrnn,
  ben.bin as benbin,
  iif(ben.irs=0,2,ben.irs) as benirs,
  ben.seco as benseco,
  aben.code as bencode,
  bben.name as bbenname,
  bben.bik as bbenbik,
  bben.ComisAcc,
  iif(p.doctype=1,o.ComisCard, iif(p.doctype=2, o.ComisLits, 0)) as ComisPer,
  (iif(p.doctype=1,o.ComisCard, iif(p.doctype=2, o.ComisLits, 0))*p.docsum)/100 as Comis,
  p.acc,
  p.ben,
  p.benacc,
  p.docnum,
  p.docdate,
  cstr(p.docdate) as docdates,
  p.docsum,
  p.doctype,
  iif(p.doctype=1,"'"&e.ca,"'"&e.la) as empacc,
  iif(p.doctype=1,"'"&e.ca20,"'"&e.la20) as empacc20,
  "'"&e.rnn as ernn,
  "'"&e.iin as eiin,
  p.cur,
  p.knp,
  p.send,
  p.prt,
  p.opv,
  p.period,
  p.GCVP,
  p.dscr,
  e.fm1&" "&e.nm1&" "&e.ft1 as fio1,
  iif(Trim(e.fm&" "&e.nm&" "&e.ft)="",e.fm1&" "&e.nm1&" "&e.ft1,e.fm&" "&e.nm&" "&e.ft) as fio,
  e.*,
  pd.*
from ((((((((plat p
  inner join org o on p.org=o.id)
  inner join acc a on p.acc=a.id)
  inner join org b on a.bank=b.id)
  inner join org ben on p.ben=ben.id)
  inner join acc aben on p.benacc=aben.id)
  inner join org bben on aben.bank=bben.id)
  inner join platdet pd on pd.plat=p.id)
  inner join emp e on e.id=pd.emp)
  inner join emp e1 on e1.id=o.Chief
where (p.id=p_platid or p_platid=-1)
order by e.ord, e.fm1 


#13
insert into platdet(plat, emp, empsum, newrec, period) values(p_plat, p_emp, p_empsum, p_newrec, p_period)

#14
update platdet set emp=p_emp where id=p_id

#15
insert into plat(org,acc,ben,benacc,docnum,docdate,doctype,cur,docsum,dscr,knp,period,opv,GCVP,send, pso, prt, vo)
select org,acc,ben,benacc,docnum,docdate,doctype,cur,docsum,dscr,knp,period,opv,GCVP,send, pso, prt, vo
from plat where id=p_id

#16
insert into platdet(plat,emp,empsum,newrec,deleted)
select p_plat,emp,empsum,newrec,deleted from platdet where plat=p_platid

#17
select FieldValue, TxtRowNum from mtimp where SubFieldName="RNN" and flag=0

#18
select FieldValue, TxtRowNum from mtimp where FieldName="70" and SubFieldName="LA"

#19
select FieldValue, SubFieldName, TxtRowNum from mtimp where FieldName="70" and (SubFieldName="FM" or SubFieldName="NM" or SubFieldName="FT")

#20
select * from MT order by ord

#21
select * from emp where la like "*/*"


#22
update emp set fl=p_fl, la=p_la where id=p_id


#23
select max(docnum) from plat where org=p_org


#24
update plat 
set docnum=p_docnum, 
  docdate=p_docdate, 
  acc=p_acc, 
  doctype=p_doctype, 
  cur = p_cur,
  docsum=p_docsum, 
  ben=p_ben, 
  benacc=p_benacc, 
  dscr=p_dscr, 
  knp=p_knp, 
  period=p_period, 
  opv=p_opv, 
  GCVP=p_GCVP, 
  send=p_send, 
  pso=p_pso, 
  prt=p_prt, 
  vo=p_vo
where org=p_org and id=p_id

#25
update platdet set newrec = 0 where plat=p_plat and newrec=-1

#26
delete from platdet where plat = p_plat and deleted = -1

#27
delete from platdet where plat=p_id

#28
delete from plat where id=p_id

#29
update PlatDet set  deleted = 0 where plat=p_plat and deleted = -1

#30
delete from platdet where plat=p_plat and newrec=-1

#31
select * from errors

#32
select * from sql order by code

#33
select * from acc where Org=p_Org and Bank=p_Bank order by code

#34
select a.*, b.name as bname from acc a inner join org b on a.bank=b.id where Org=p_Org order by a.name

#35
insert into org(shortname, name, rnn, seco, irs, 
  orgtype, bik, Chief, MainBK, Block1, Block2, ChiefTxt, MainBKTxt, 
  Unicode, ComisAcc, ComisCard, ComisLits, BudgetFl) 
  values(p_shortname, p_name, p_rnn, p_seco, p_irs, p_orgtype, 
  p_bik, p_Chief, p_MainBK, p_Block1, p_Block2, p_ChiefTxt, p_MainBKTxt, 
  p_Unicode, p_ComisAcc, p_ComisCard, p_ComisLits, p_BudgetFl)

#36
update org 
set 
  shortname=p_shortname,  
  name=p_name,  
  rnn=p_rnn, 
  seco=p_seco, 
  irs=p_irs, 
  orgtype=p_orgtype, 
  bik=p_bik, 
  Chief=p_Chief, 
  MainBK=p_MainBK, 
  Block1=p_Block1, 
  Block2=p_Block2, 
  ChiefTxt=p_ChiefTxt, 
  MainBKTxt=p_MainBKTxt, 
  Unicode=p_Unicode, 
  ComisAcc=p_ComisAcc, 
  ComisCard=p_ComisCard, 
  ComisLits=p_ComisLits, 
  BudgetFl=p_BudgetFl,
  CodeGU=p_CodeGU
where 
  id=p_id

#37
select * from dic order by 1

#38
select * from Rep order by name

#40
select * from Org where OrgType=2 order by name

#41
select id,
  ben,
  benacc,
  DocNum,
  DocDate,
  DocSum,
  DocType,
  Cur,
  Acc,
  dscr,
  knp,
  kbk,
  period,
  opv,
  vo,
  prt,
  pso,
  send,
  GCVP,
  iif(DocType=1, "  .",
  iif(DocType=2, "  .",
  iif(DocType=3, " ", 
  iif(DocType=4, " ",
  iif(DocType=5, "  ()", 
     "  (.)"))))) as DocTypeStr 
from plat
where Org = p_Org 
  and DocDate between p_BegDate and p_EndDate
  and (p_DocType = 0 or DocType = p_DocType)
  and (p_MinSum = 0 or DocSum >= p_MinSum)
  and (p_MaxSum = 0 or DocSum <= p_MaxSum)
  and (p_DocNum =" " or DocNum = p_DocNum )
order by docdate desc, docnum, id

#43
update emp set fm=p_fm, nm=p_nm, ft=p_ft, fm1=p_fm1, nm1=p_nm1, ft1=p_ft1, 
  bd=p_bd, rnn=p_rnn, opv=p_opv, la=p_la, PenFund=p_PenFund, dep=p_dep, org=p_org, ca=p_ca, fl=p_fl 
  where id = p_id

#44
delete from emp where id=p_id

#45
select iif(isnull(FM),FM1,FM1)&" "&iif(isnull(NM),NM1,NM1)&" "&iif(isnull(FT),FT1,FT1) as FIO, 
  iif(isnull(FM),FM1,FM1) as LastName,
  iif(isnull(NM),NM1,NM1) as FirstName,
  iif(isnull(FT),FT1,FT1) as MiddleName, 
  summa,period,
  FM,NM,FT,FM1,NM1,FT1,
  iif(bd=0,"",bd) as bd1, org, dep, rnn,opv,ca,la,fl,bd,tabnum,penfund,ord,
  sel,redundant,id, iin, ca20, la20,empowered
from emp 
where (p_org=0 or org=p_org)
    and (p_dep=0 or iif(isnull(p_dep),0,p_dep)=0 or dep=p_dep) 
    and (p_PenFund=0 or PenFund=p_PenFund)
    and (redundant=0 or redundant=p_redundant)
    and iif(isnull(FM1)," ",FM1)<>""
    and iif(isnull(nM1)," ",nM1)<>""
order by 1

#451
select iif(isnull(FM),FM1,FM1)&" "&iif(isnull(NM),NM1,NM1)&" "&iif(isnull(FT),FT1,FT1) as FIO, 
  iif(isnull(FM),FM1,FM1) as LastName,
  iif(isnull(NM),NM1,NM1) as FirstName,
  iif(isnull(FT),FT1,FT1) as MiddleName, 
  summa,period,
  FM,NM,FT,FM1,NM1,FT1,
  iif(bd=0,"",bd) as bd1, org, dep, rnn,opv,ca,la,fl,bd,tabnum,penfund,ord,
  sel,redundant,id, iin, ca20, la20,empowered
from emp 
where (p_org=0 or org=p_org)
    and (p_dep=0 or iif(isnull(p_dep),0,p_dep)=0 or dep=p_dep) 
    and (p_PenFund=0 or PenFund=p_PenFund)
    and (redundant=0 or redundant=p_redundant)
    and iif(isnull(FM1)," ",FM1)<>""
    and iif(isnull(nM1)," ",nM1)<>""
    and empowered=p_empowered 
order by 1

#46
SELECT * FROM mt, mtimp 
  WHERE MT.FieldName=MTIMP.FieldName 
  and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and MTIMP.SubFieldName is null))
  and mt.LengthEQ=true and mt.FieldLength<>mtimp.FieldLength order by MTIMP.TxtRowNum

#47
select * 
from platdet pd inner join emp e on e.id=pd.emp 
where pd.plat=p_plat and pd.empsum > 0
order by e.ord, e.fm1, e.nm1, e.ft1

#48
insert into org(orgtype, name, rnn, irs, seco, chief, mainbk, chieftxt, mainbktxt, BIK, Block1, Block2) 
values(p_orgtype, p_name, p_rnn, p_irs, p_seco, p_chief, p_mainbk, p_chieftxt, p_mainbktxt, p_BIK, p_Block1, p_Block2)

#49
SELECT  mt.fieldname, mt.subfieldname, mt.filetype, MTIMP.fieldname, MTIMP.subfieldname, count(*) as cnt
FROM mt left outer join mtimp on MT.FieldName=MTIMP.FieldName 
  and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and MTIMP.SubFieldName is null))
WHERE 
  mt.det = -1
group by  mt.fieldname,mt.subfieldname, mt.filetype,  MTIMP.fieldname, MTIMP.subfieldname

#50
SELECT  mt.fieldname, mt.subfieldname, mt.filetype, MTIMP.fieldname, MTIMP.subfieldname, count(*) as cnt
FROM mt left outer join mtimp on MT.FieldName=MTIMP.FieldName 
  and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and MTIMP.SubFieldName is null))
WHERE 
  mt.det = -1
group by  mt.fieldname,mt.subfieldname, mt.filetype,  MTIMP.fieldname, MTIMP.subfieldname
having  count(*) < p_cnt

#51
SELECT *
FROM mt left join mtimp ON MT.FieldName=MTIMP.FieldName and (MT.SubFieldName=MTIMP.SubFieldName or (MT.SubFieldName is null and MTIMP.SubFieldName is null))
ORDER BY TxtRowNum

#52
update mt 
set FieldName=AField, SubFieldName=ASubField, ValueFormat=AValueFormat, 
  AllowedValue=AAllowedValue, FileType=AFileType, FieldLength=AFieldLength, HaveFieldName=APut, 
  LengthEQ=ALengthEQ, Det=ADet, Convert=ADOS, Requred=ARequred, Nullable=ANullable, FieldType=AFieldType 
where id=Aid

#53
insert into plat(org, acc, ben, benacc, docnum, docdate, doctype, docsum, dscr, knp, send, prt, vo, pso, gcvp,cur, period) 
values(p_org, p_acc, p_ben, p_benacc, p_docnum, p_docdate, p_doctype, p_docsum, p_dscr, p_knp, p_send, p_prt, p_vo, 
p_pso, p_gcvp, p_cur, p_period)


#54
select e.fm1&" "&e.nm1&" "&e.ft1 as efio, 
  pd.empsum, pd.id, pd.emp, e.ord, e.period,
  e.fm1
from PlatDet pd 
  inner join Emp e on pd.emp=e.id 
where pd.deleted = 0 
  and pd.plat = p_plat
order by ord, 1

#55
select
  o.name as oname,
  o.rnn as ornn,
  Left(e1.fm1,1)&LCase(Mid(e1.fm1,2,100))&" "&left(e1.nm1,1)&"."&left(e1.ft1,1)&"." as ochief,
  Left(e2.fm1,1)&LCase(Mid(e2.fm1,2,100))&" "&left(e2.nm1,1)&"."&left(e2.ft1,1)&"." as oMainBK,
  o.ChiefTxt as oChiefTxt,
  o.MainBKTxt as oMainBKTxt,
  o.Block1 as oBlock1,
  o.Block2 as oBlock2,
  o.irs as oirs,
  o.seco as oseco,
  o.unicode,
  o.comiscard,
  o.comislits,
  o.BudgetFl,
  a.code as acode,
  b.bik as bbik,
  b.name as bname,
  ben.name as benname,
  ben.rnn as benrnn,
  ben.irs as benirs,
  ben.seco as benseco,
  aben.code as bencode,
  bben.name as bbenname,
  bben.bik as bbenbik,
  bben.ComisAcc,
  iif(p.doctype=1,o.ComisCard, iif(p.doctype=2, o.ComisLits, 0)) as ComisPer,
  (iif(p.doctype=1,o.ComisCard, iif(p.doctype=2, o.ComisLits, 0))*p.docsum)/100 as Comis,
  p.benacc,
  p.docnum,
  p.docdate,
  p.docsum,
  p.doctype,
  p.knp,
  p.send,
  p.prt,
  p.opv,
  p.period,
  p.GCVP,
  p.dscr,
  e.*,
  pd.*
from (((((((plat p
  inner join org o on p.org=o.id)
  inner join acc a on p.acc=a.id)
  inner join org b on a.bank=b.id)
  inner join org ben on p.ben=ben.id)
  inner join acc aben on p.benacc=aben.id)
  inner join org bben on aben.bank=bben.id)
  inner join platdet pd on pd.plat=p.id)
  inner join emp e on e.id=pd.emp
where (p.id=p_platid or p_platid=-1)

#56
select * from platdet where empsum=0 and plat=p_plat and deleted=0

#57
select mi.*, 
  m.HaveFieldName, m.Convert, m.det, m.FileType as ft 
from MT m inner join MTImp mi 
  on m.FieldName=mi.FieldName and 
  (m.SubFieldName=iif(mi.SubFieldName="IDN","RNN",mi.SubFieldName) or (m.subfieldname Is Null and mi.subfieldname Is Null))       
order by m.ord

#58
SELECT mi.*, m.HaveFieldName, m.Convert, m.det, m.FileType as ft 
FROM MT AS m INNER JOIN MTImp AS mi ON (m.SubFieldName=iif(mi.SubFieldName="IDN","RNN",mi.SubFieldName) or 
      (m.subfieldname Is Null and mi.subfieldname Is Null)) AND (m.FieldName=mi.FieldName) 
WHERE m.det=-1 
ORDER BY mi.ord, m.ord

#59
insert into MTImp(FieldName, SubFieldName, FieldValue, Ord) values(p_FieldName, p_SubFieldName, p_FieldValue, p_Ord)

#61
update PlatDet set deleted = -1 where id = p_id

#62
insert into platdet(plat, emp, empsum, newrec, deleted) 
select p_plat, id, 0, -1, 0 
from emp 
where org=p_org 
  and PenFund=p_PenFund
  and fm1<>""
  and nm1<>""


#63
update PlatDet set deleted = -1 where plat=p_plat

#64
update PlatDet set deleted = -1 where plat=p_plat

#65
select * from Org where p_OrgType=0 or OrgType=p_OrgType order by name

#66
insert into plat(org, doctype, docnum, docdate, acc, ben, benacc,
  Cur, KNP, VO, PRT, Period, Dscr, OPV) 
values(p_org, p_doctype,  p_docnum, p_docdate, p_acc, p_ben,
  p_benacc,  p_Cur, p_KNP, p_VO, p_PRT, p_Period,
  p_Dscr, p_OPV)

#67
select code, longname as name from knp order by code

#68
select max(id) from plat

#69
select * from usr where UCase(name) = p_name

#70
select unicode from org where id = p_id

#72
insert into emp (fm1, nm1, org, ca, ord) 
values(p_fm1, p_nm1, p_org, p_ca, p_ord)


#73
update emp set ca=p_ca where id=p_id

#74
select * from Org where id = p_id order by name

#76
select * from Org where p_OrgType=-1 or OrgType=p_OrgType order by name

#77
select name from cur where code = p_code

#78
insert into emp(fm1, nm1, ft1, org) values(p_fm1, p_nm1, p_ft1, p_org)

#79
update platdet set empsum = p_empsum where id = p_id

#80
update emp 
set 
  bd=p_bd, 
  rnn=p_rnn, 
  OPV=p_OPV, 
  CA=p_CA, 
  PenFund=p_PenFund,
  TabNum=p_TabNum,
  Dep=p_Dep 
where id=p_id

#81
select id 
from emp 
where UCase(FM1)=p_FM 
  and UCase(NM1)=p_NM 
  and UCase(FT1)=p_FT
  and Org=p_Org

#82
select id from emp where UCase(FM1)=p_FM  and UCase(NM1)=p_NM and Org=p_Org

#84
select ComisCard, ComisLits from org where id = p_id

#85
select * from Org where id = p_id

#86
insert into emp(fm, nm, ft, fm1, nm1, ft1, rnn, opv, fl, la, ca, org, dep, bd, penfund, summa) 
values(p_fm, p_nm, p_ft, p_fm1, p_nm1, p_ft1, p_rnn, p_opv, p_fl, p_la, p_ca, p_org, p_dep, p_bd, p_penfund, p_summa)

#100
select * from plat


#101
update emp 
set sel=p_sel
where org=p_org 
  and (dep=p_dep or p_dep=0 or iif(isnull(p_dep),0,p_dep)=0) 
  and (PenFund=p_PenFund or 0=p_PenFund)
  and FM1<>""
  and nM1<>""

#103
SELECT fieldname, iif(isnull(subfieldname)," ",subfieldname) AS SFNAME, ord
FROM MT WHERE det=-1 and requred=-1 ORDER BY ord;

#107
SELECT fieldname, iif(isnull(subfieldname)," ",subfieldname) as SFNAME, ord FROM MT
WHERE fieldname<>"1" and fieldname<>"2" and det=false 
and ord<=(select ord from MT WHERE fieldname="70" and subfieldname="assign") 
and requred=-1 ORDER BY ord

#108
SELECT fieldname, iif(trim(subfieldname)=""," ",subfieldname) as SFNAME, txtrownum,fl
FROM MTimp WHERE fieldname<>"1" and fieldname<>"2"  and mtrow=false
and fieldname<>'32A'
and txtrownum<(select min(txtrownum) from MTimp WHERE fieldname="21")


#110
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE txtrownum>=P_FieldValue 
and txtrownum<P_FieldValue2 
order by txtrownum

#111
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE  txtrownum>=(select txtrownum from MTimp WHERE fieldname="21" and FieldValue=P_FieldValue)
and iif(isnull(subfieldname)," ",subfieldname)<>"FT"
and fieldname not like "32A"

#112
SELECT fieldname, iif(isnull(subfieldname)," ",subfieldname) AS SFNAME, ord
FROM MT 
WHERE det=-1 and requred=-1 
and iif(isnull(subfieldname)," ",subfieldname)<>'FT'
ORDER BY ord

#113
SELECT fieldname, iif(isnull(subfieldname)," ",subfieldname) AS SFNAME, ord
FROM MT WHERE det=-1 and requred=-1 
and iif(isnull(subfieldname)," ",subfieldname)<>'FT'
and iif(isnull(subfieldname)," ",subfieldname)<>'RNN'
ORDER BY ord

#114
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE txtrownum>=P_FieldValue
and fieldname<>'32A'
order by txtrownum

#115
SELECT count(*) as cnt
FROM mtimp
WHERE (fieldvalue like  '**') 
      or (fieldvalue like '**') 
      or (fieldvalue like '**')
      or (fieldvalue like '**') 
      or (fieldvalue like '**') 
      or (fieldvalue like '**')
      or (fieldvalue like '**')
      or (fieldvalue like '**')
      or (fieldvalue like '**')

#116              
SELECT fieldvalue, txtrownum FROM MTimp WHERE fieldname  like "21" order by txtrownum

#117
SELECT fieldname, iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, txtrownum, fl
FROM MTimp
WHERE fieldname<>"1" 
              and fieldname<>"2"  
              and mtrow=false
              and txtrownum<(select max(txtrownum) from MTimp WHERE fieldname="21")
              and fl<>"2"
              and fl is not null
              
#118              
SELECT fieldname, iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, txtrownum, fl
FROM MTimp
WHERE fieldname<>"1" 
              and fieldname<>"2"  
              and mtrow=false
              and txtrownum<(select min(txtrownum) from MTimp WHERE fieldname="21")
              and iif(isnull(fl)," ",fl) <>"1"
              and iif(isnull(fl)," ",fl)<>"0"           

#119
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE txtrownum>=P_FieldValue
and fieldname<>'32A'
and iif(isnull(fl)," ",fl)<>"2"
and fl is not null
order by txtrownum

#120
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE txtrownum>=P_FieldValue
and txtrownum<P_FieldValue2
and iif(isnull(fl)," ",fl)<>"2"
and fl is not null
order by txtrownum

#121
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum,
    fl
FROM MTimp 
WHERE txtrownum>=(select min(txtrownum) from MTimp WHERE fieldname="21" )
and fieldname<>'32A'
and iif(isnull(fl)," ",fl)<>"0"
and iif(isnull(fl)," ",fl)<>"1"
and mtrow<>-1
order by txtrownum

#122   
SELECT fieldname, fieldvalue FROM MTimp WHERE fieldname  like "21"  group by fieldname, fieldvalue having count(*)>1

#123
SELECT fieldname, iif(isnull(subfieldname)," ",subfieldname) as SFNAME, ord FROM MT
WHERE fieldname<>"1" and fieldname<>"2" and det=false 
and ord<=(select ord from MT WHERE fieldname="70" and subfieldname="assign") 
and requred=-1 ORDER BY ord

#124
select mi.*, 
  m.HaveFieldName, m.Convert, m.det, m.FileType as ft 
from MT m inner join MTImp mi 
  on m.FieldName=mi.FieldName and 
  (m.SubFieldName=iif(mi.SubFieldName="IDN","RNN",mi.SubFieldName) or (m.subfieldname Is Null and mi.subfieldname Is Null))       

#125
insert into emp(fm1, nm1, ft1, rnn, la, ca, org, ca20, la20, IIN) 
values( p_fm1, p_nm1, p_ft1, p_rnn,  p_la, p_ca, p_org, p_ca20, p_la20, p_IIN)

#126
SELECT fieldname, iif(trim(subfieldname)=""," ",subfieldname) as SFNAME, txtrownum,fl
FROM MTimp WHERE fieldname<>"1" and fieldname<>"2"  and mtrow=false
and fieldname<>'32A'


#127           
SELECT fieldname, iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, txtrownum, fl
FROM MTimp
WHERE fieldname<>"1" 
              and fieldname<>"2"  
              and mtrow=false
              and iif(isnull(fl)," ",fl) <>"1"
              and iif(isnull(fl)," ",fl)<>"0"
              and fieldname<>'32A'

#128              
SELECT fieldname, iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, txtrownum, fl
FROM MTimp
WHERE fieldname<>"1" 
              and fieldname<>"2"  
              and mtrow=false
              and fl<>"2"
              and fl is not null
              and fieldname<>'32A'
              
#130
select FieldValue, TxtRowNum from mtimp where SubFieldName="IDN" and flag=0

#131
select FieldValue, TxtRowNum from mtimp where FieldName="70" and SubFieldName="LA"

#132
update emp set summa_reserv=p_summa_reserv where id=p_emp

#133
update emp set summa_reserv=summa where org=p_org and sel=true and iif(isnull(summa_reserv),0,summa_reserv)=0

#134
update emp set summa=p_summa where org=p_org and sel=true 

#135
update emp set summa=summa_reserv where org=p_org and sel=true and iif(isnull(summa_reserv),0,summa_reserv)<>0

#136
update emp set sel=p_sel where id=p_id

#137
select FieldValue, TxtRowNum from mtimp where SubFieldName="IDN" and flag=0

#138
select FieldValue, TxtRowNum from mtimp where (SubFieldName="IDN" or SubFieldName="RNN") and flag=0 order by txtrownum

#139
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE txtrownum>=P_FieldValue 
and txtrownum<P_FieldValue2 
and iif(isnull(subfieldname)," ",subfieldname) <> 'RNN'
order by txtrownum

#140
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE txtrownum>=P_FieldValue
and fieldname<>'32A'
and iif(isnull(subfieldname)," ",subfieldname) <> 'RNN'
order by txtrownum

#141
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE txtrownum>=P_FieldValue
and fieldname<>'32A'
and iif(isnull(fl)," ",fl)<>"2"
and fl is not null
and iif(isnull(subfieldname)," ",subfieldname) <> 'RNN'
order by txtrownum

#142
SELECT 
    fieldname, 
    iif(trim(subfieldname)=""," ",subfieldname) AS SFNAME, 
    FieldValue,
    txtrownum
FROM MTimp 
WHERE txtrownum>=P_FieldValue
and txtrownum<P_FieldValue2
and iif(isnull(fl)," ",fl)<>"2"
and fl is not null
and iif(isnull(subfieldname)," ",subfieldname) <> 'RNN'
order by txtrownum

#143
select mi.*, 
  m.HaveFieldName, m.Convert, m.det, m.FileType as ft 
from MT m inner join MTImp mi 
  on m.FieldName=mi.FieldName and 
  (m.SubFieldName=mi.SubFieldName or (m.subfieldname Is Null and (mi.subfieldname Is Null or trim(mi.subfieldname)="")))    

#144
select mi.*, 
  m.HaveFieldName, m.Convert, m.det, m.FileType as ft 
from MT m inner join MTImp mi 
  on m.FieldName=mi.FieldName and 
  (m.SubFieldName=mi.SubFieldName or (m.subfieldname Is Null and (mi.subfieldname Is Null or trim(mi.subfieldname)="") ))       
order by m.ord

#145
SELECT mi.*, m.HaveFieldName, m.Convert, m.det, m.FileType as ft 
FROM MT AS m INNER JOIN MTImp AS mi ON (m.SubFieldName=mi.SubFieldName or 
      (m.subfieldname Is Null and (mi.subfieldname Is Null or trim(mi.subfieldname)=""))) AND (m.FieldName=mi.FieldName) 
WHERE m.det=-1 
ORDER BY mi.ord, m.ord

#146